%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           accerciser
Version:        1.9.3
Release:        1%{?dist}
Summary:        An interactive Python accessibility explorer for the GNOME desktop

Group:          Development/Tools
License:        BSD
URL:            http://live.gnome.org/Accerciser
Source0:        http://ftp.gnome.org/pub/GNOME/sources/accerciser/1.9/accerciser-1.9.3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  pygtk2
BuildRequires:  gnome-python2-libwnck
BuildRequires:  gnome-python2-bonobo
BuildRequires:  at-spi-python
BuildRequires:  pyorbit
BuildRequires:  intltool
BuildRequires:  rarian-compat

Requires:       pygtk2
Requires:       gnome-python2
Requires:       gnome-python2-rsvg
Requires:       gnome-python2-libwnck
Requires:       gnome-python2-bonobo
Requires:       at-spi-python
Requires:       pyorbit
Requires:       ipython
Requires:       libgail-gnome
Requires:       atk

%description
Accerciser is an interactive Python accessibility explorer for the GNOME 
desktop. It uses AT-SPI to inspect and control widgets, allowing you to 
check if an application is providing correct information to assistive 
technologies and automated test frameworks.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{_datadir}/%{name}
%{_datadir}/omf/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_sysconfdir}/gconf/schemas/%{name}.schemas

%changelog
* Sun Dec 6 2009 Ben Konrath <ben@bagu.org> 1.9.3-1
- Initial release.
